Module:Hatnote/styles.css: Difference between revisions

From Simulacrum Wiki
Jump to navigation Jump to search
m (1 revision imported)
m (1 revision imported)
 
(One intermediate revision by one other user not shown)
Line 15: Line 15:
}
}


/* The templatestyles element inserts a link element before hatnotes.
/* Templatestyles causes an 'empty' span between hatnotes.
  * TODO: Remove link if/when WMF resolves T200206 */
  * See also [[phab:T200206]] for later */
.hatnote + link + .hatnote {
.hatnote + .mw-empty-elt + .hatnote {
margin-top: -0.5em;
margin-top: -0.5em;
}
}

Latest revision as of 21:17, 4 September 2026

/* {{pp|small=y}} */
.hatnote {
	font-style: italic;
}

/* Limit structure CSS to divs because of [[Module:Hatnote inline]] */
div.hatnote {
	/* @noflip */
	padding-left: 1.6em;
	margin-bottom: 0.5em;
}

.hatnote i {
	font-style: normal;
}

/* Templatestyles causes an 'empty' span between hatnotes.
 * See also [[phab:T200206]] for later */
.hatnote + .mw-empty-elt + .hatnote {
	margin-top: -0.5em;
}

@media print {
	body.ns-0 .hatnote {
		display: none !important;
	}
}